> ## Documentation Index
> Fetch the complete documentation index at: https://developer.cregis.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Batch create address

> Batch create the new address for deposit

### API URL

POST /api/v1/batch/address/create

### Request

#### Request Parameters

| Parameter     | Type           | Required | Description                                                                                                                                                                           |
| ------------- | -------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| pid           | integer(int64) | Yes      | Project ID                                                                                                                                                                            |
| chain\_id     | string         | Yes      | Chain ID                                                                                                                                                                              |
| alias         | string         | No       | Display Name                                                                                                                                                                          |
| callback\_url | string         | No       | Callback URL, If funds are received through an address generated by this API, refer to [Address Deposit notify](/api-reference/callback/address-deposit) section for callback details |
| number        | string         | Yes      | Batch Number，range 1 to 100(contain)                                                                                                                                                  |
| nonce         | string         | Yes      | 6-character random string                                                                                                                                                             |
| timestamp     | integer(int64) | Yes      | Timestamp                                                                                                                                                                             |
| sign          | string         | Yes      | Signature                                                                                                                                                                             |

###### Request Example

```json theme={null}
{
  "pid": 1382528827416576,
  "callback_url": "http://xxxx.com/deposit/callback",
  "chain_id": "60",
  "alias": "cc",
  "number": 10,
  "nonce": "ubqso3",
  "timestamp": 1687850657960,
  "sign": "f5be13fdd8c6f63951ca4427359457cb"
}
```

### Response

#### Response Result

| Name | Type   | Description          |
| ---- | ------ | -------------------- |
| code | string | Response code        |
| msg  | string | Response message     |
| data | Array  | Response data object |

#### Response `data` Object

| Name    | Type   | Description |
| ------- | ------ | ----------- |
| address | string | Address     |

###### Response Example

```json theme={null}
{
  "code": "00000",
  "msg": "ok",
  "data": [
    {
        "address": "THnZQewzSD8XdxHaWZWcYaJuEhdGHexuSn"
    },
    {
        "address": "TPS1VmkkEFgjJyFCiSkk8eSHJBNi69WYCR"
    },
    {
        "address": "TUzVX6NSkgq7ZwznXdfDSp97B6mQW2e6T8"
    },
    {
        "address": "TK8an5omq7engcFWxj528tuNkZYA6rSd5h"
    },
    {
        "address": "TRiimhegJiHU2T7CQpg4xt3K6XU3WenRG7"
    },
    {
        "address": "TRXamqVuW5Csh3HvoiLcA4X9Vd2xmMH1Kj"
    },
    {
        "address": "TS6b9qG3qzTkjvbCN4uWbsmBDxXGks88YF"
    },
    {
        "address": "TSPpPCFSqrduYye5TmVe6soJC4SD7YWVhm"
    },
    {
        "address": "TLxRaUpZdi8BCM33AgbtEhxcxed82rwCK5"
    },
    {
        "address": "TYvJZxYzxUevySMECpJjgE46AHnps98NYh"
    }
  ]
}
```
